Debian Bug report logs - #662666
debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 5 Mar 2012 15:30:01 UTC

Severity: wishlist

Found in version debhelper/9.20120115

Fixed in version debhelper/9.20120312

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Mon, 05 Mar 2012 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, Joey Hess <joeyh@debian.org>. (Mon, 05 Mar 2012 15:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Mon, 5 Mar 2012 15:28:01 +0000
Package: debhelper
Severity: wishlist
Version: 9.20120115

As per the discussion in #657853, the consensus is that debhelper (in
compat 9 mode) should be modified to pass all of CFLAGS, CPPFLAGS, and
LDFLAGS from dpkg-buildflags down to ExtUtils::MakeMaker and
ExtUtils::CBuilder based build processes (currently it only passes
CFLAGS).

Niko says in
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=657853#142>

"For reference, the invocations I came up earlier were

 perl Makefile.PL OPTIMIZE="$(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get CPPFLAGS)" \
                  LD="$(perl -V::ld:) $(dpkg-buildflags --get LDFLAGS)"

 perl Build.PL --config optimize="$(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get CPPFLAGS)" \
               --config ld="$(perl -V::ld:) $(dpkg-buildflags --get LDFLAGS)"

but I didn't dwell long on that and there might be better ways to do
this. In particular, I think EU::CBuilder already honours some of the
flags so they might end up being used twice in the Build.PL version?"

and this is a good place to start work on this feature.

Note that I plan to spend a bit of time working on this feature in the
next day or two (but I wanted to get the details down on a bug report
first).

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#662666; Package debhelper. (Mon, 05 Mar 2012 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Mon, 05 Mar 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 662666@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 662666@bugs.debian.org
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Mon, 5 Mar 2012 14:31:51 -0400
[Message part 1 (text/plain, inline)]
Dominic Hargreaves wrote:
> Note that I plan to spend a bit of time working on this feature in the
> next day or two (but I wanted to get the details down on a bug report
> first).

Thank you for working on this.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Tue, 06 Mar 2012 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Tue, 06 Mar 2012 19:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 662666@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-perl@lists.debian.org, 662666@bugs.debian.org
Cc: Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Tue, 6 Mar 2012 19:01:24 +0000
[Message part 1 (text/plain, inline)]
tags 662666 +patch
thanks

On Mon, Mar 05, 2012 at 03:28:01PM +0000, Dominic Hargreaves wrote:
> As per the discussion in #657853, the consensus is that debhelper (in
> compat 9 mode) should be modified to pass all of CFLAGS, CPPFLAGS, and
> LDFLAGS from dpkg-buildflags down to ExtUtils::MakeMaker and
> ExtUtils::CBuilder based build processes (currently it only passes
> CFLAGS).

Patch attached.

I tested this with libimager-perl (from git, 4f26b95; uses Makefile.PL)
and libparams-classify-perl (from git, a08237d; uses Build.PL).

The build log diffs between debhelper from unstable and debhelper
master with my patch applied are attached, and they show the expected
changes. hardening-check also confirms:

libimager-perl before:

usr/lib/perl5/auto/Imager/File/GIF/GIF.so:
 Position Independent Executable: no, regular shared library (ignored)
 Stack protected: yes
 Fortify Source functions: no, only unprotected functions found!
 Read-only relocations: no, not found!
 Immediate binding: no not found!


libimager-perl after:

usr/lib/perl5/auto/Imager/File/GIF/GIF.so:
 Position Independent Executable: no, regular shared library (ignored)
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: no not found!

libparams-classify-perl before:

 Position Independent Executable: no, regular shared library (ignored)
 Stack protected: yes
 Fortify Source functions: unknown, no protectable libc functions used
 Read-only relocations: no, not found!
 Immediate binding: no not found!

libparams-classify-perl after:

usr/lib/perl5/auto/Params/Classify/Classify.so:
 Position Independent Executable: no, regular shared library (ignored)
 Stack protected: yes
 Fortify Source functions: unknown, no protectable libc functions used
 Read-only relocations: yes
 Immediate binding: no not found!

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[0001-Pass-CPPFLAGS-and-LDFLAGS-to-Makefile.PL-and-Build.P.patch (text/x-diff, attachment)]
[libimager-perl.debhelper.diff (text/x-diff, attachment)]
[libparams-classify-perl.debhelper.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#662666; Package debhelper. (Wed, 07 Mar 2012 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 07 Mar 2012 23:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 662666@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 662666@bugs.debian.org
Cc: debian-perl@lists.debian.org, Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Wed, 7 Mar 2012 19:15:21 -0400
Dominic Hargreaves wrote:
> I tested this with libimager-perl (from git, 4f26b95; uses Makefile.PL)
> and libparams-classify-perl (from git, a08237d; uses Build.PL).

So the next step is to test all the packages that could be possibly
affected by this change, right?

-- 
see shy jo




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Thu, 08 Mar 2012 07:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 08 Mar 2012 07:45:15 GMT) Full text and rfc822 format available.

Message #25 received at 662666@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 662666@bugs.debian.org, debian-perl@lists.debian.org, Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Thu, 8 Mar 2012 07:37:45 +0000
On Wed, Mar 07, 2012 at 07:15:21PM -0400, Joey Hess wrote:
> Dominic Hargreaves wrote:
> > I tested this with libimager-perl (from git, 4f26b95; uses Makefile.PL)
> > and libparams-classify-perl (from git, a08237d; uses Build.PL).
> 
> So the next step is to test all the packages that could be possibly
> affected by this change, right?

I'm not sure it's practical to get an exhaustive list without
unpacking every package in the archive looking for Makefile.PL
or Build.PL with debian/compat = 9, but gregor previously
posted that there were 30 in the pkg-perl repository. This is probably
going to catch 90% of the cases - do we think that's enough?
gregor, could you (or someone else with a full checkout) post
the list of packages?

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Thu, 08 Mar 2012 11:50:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 08 Mar 2012 11:51:04 GMT) Full text and rfc822 format available.

Message #30 received at 662666@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: Dominic Hargreaves <dom@earth.li>
Cc: 662666@bugs.debian.org, debian-perl@lists.debian.org, Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Thu, 8 Mar 2012 12:04:54 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 08, 2012 at 07:37:45AM +0000, Dominic Hargreaves wrote:
> On Wed, Mar 07, 2012 at 07:15:21PM -0400, Joey Hess wrote:
> > Dominic Hargreaves wrote:
> > > I tested this with libimager-perl (from git, 4f26b95; uses Makefile.PL)
> > > and libparams-classify-perl (from git, a08237d; uses Build.PL).
> > 
> > So the next step is to test all the packages that could be possibly
> > affected by this change, right?
> 
> I'm not sure it's practical to get an exhaustive list without
> unpacking every package in the archive looking for Makefile.PL
> or Build.PL with debian/compat = 9, but gregor previously
> posted that there were 30 in the pkg-perl repository. This is probably
> going to catch 90% of the cases - do we think that's enough?
> gregor, could you (or someone else with a full checkout) post
> the list of packages?

There are now ~60 packages in the pkg-perl repositories with debian/compat 9
(some of them haven't been uploaded yet, not sure if that changes anything).

frozen-bubble
libacme-damn-perl
libastro-fits-cfitsio-perl
libaudio-tagger-perl
libauthen-krb5-simple-perl
libb-hooks-parser-perl
libcairo-gobject-perl
libcairo-perl
libclass-load-xs-perl
libclone-fast-perl
libcompress-raw-bzip2-perl
libcompress-raw-zlib-perl
libcrypt-cast5-perl
libcrypt-openssl-dsa-perl
libdata-alias-perl
libdatetime-perl
libdbd-sqlite3-perl
libdbi-perl
libdevel-declare-perl
libdigest-sha-perl
libev-perl
libfile-libmagic-perl
libfile-mmagic-xs-perl
libglib-perl
libgstreamer-interfaces-perl
libgstreamer-perl
libgtk2-perl
libhtml-html5-entities-perl
libhtml-parser-perl
libimager-perl
libio-socket-ssl-perl
libmath-random-mt-perl
libmoose-perl
libnet-ssleay-perl
libopengl-perl
libpadwalker-perl
libparams-classify-perl
libparams-validate-perl
libsane-perl
libschedule-at-perl
libsdl-perl
libsort-key-perl
libstring-similarity-perl
libsys-cpu-perl
libsys-virt-perl
libterm-size-perl
libtext-bibtex-perl
libtext-ngram-perl
libunicode-string-perl
libvariable-magic-perl
libverilog-perl
libversion-perl
libwant-perl
libwx-perl
libxml-bare-perl
libxml-libxml-perl
libxml-libxslt-perl
libyaml-libyaml-perl
prolix

Cheers

-- 
perl -E'$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Thu, 08 Mar 2012 17:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 08 Mar 2012 17:09:08 GMT) Full text and rfc822 format available.

Message #35 received at 662666@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 662666@bugs.debian.org
Cc: debian-perl@lists.debian.org, Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Thu, 8 Mar 2012 18:07:20 +0100
[Message part 1 (text/plain, inline)]
On Thu, 08 Mar 2012 07:37:45 +0000, Dominic Hargreaves wrote:

> > So the next step is to test all the packages that could be possibly
> > affected by this change, right?
> I'm not sure it's practical to get an exhaustive list without
> unpacking every package in the archive looking for Makefile.PL
> or Build.PL with debian/compat = 9, but gregor previously
> posted that there were 30 in the pkg-perl repository. This is probably
> going to catch 90% of the cases - do we think that's enough?

Probably yes.

> gregor, could you (or someone else with a full checkout) post
> the list of packages?

I can't before Friday evening, so someone else doing the quick grep
would be appreciated.

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Thu, 08 Mar 2012 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 08 Mar 2012 17:33:05 GMT) Full text and rfc822 format available.

Message #40 received at 662666@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 662666@bugs.debian.org
Cc: debian-perl@lists.debian.org, Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Thu, 8 Mar 2012 19:27:42 +0200
On Thu, Mar 08, 2012 at 07:37:45AM +0000, Dominic Hargreaves wrote:
> On Wed, Mar 07, 2012 at 07:15:21PM -0400, Joey Hess wrote:

> > So the next step is to test all the packages that could be possibly
> > affected by this change, right?
> 
> I'm not sure it's practical to get an exhaustive list without
> unpacking every package in the archive looking for Makefile.PL
> or Build.PL with debian/compat = 9

FWIW, I count 45 obvious candidates in sid, and all of them are maintained
by the pkg-perl group.

$ grep-dctrl -r -FBuild-Depends,Build-Depends-Indep 'debhelper  *(>= *9' /var/lib/apt/lists/ftp.fi.debian.org_debian_dists_unstable_main_source_Sources|grep-dctrl -FPackage perl|grep-dctrl -FArchitecture any -sPackage|wc -l                                                           
45
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Sun, 11 Mar 2012 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 11 Mar 2012 19:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 662666@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 662666@bugs.debian.org, debian-perl@lists.debian.org, Moritz Mühlenhoff <jmm@inutil.org>
Subject: Re: Bug#662666: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Sun, 11 Mar 2012 19:38:48 +0000
On Thu, Mar 08, 2012 at 07:27:42PM +0200, Niko Tyni wrote:
> On Thu, Mar 08, 2012 at 07:37:45AM +0000, Dominic Hargreaves wrote:
> > On Wed, Mar 07, 2012 at 07:15:21PM -0400, Joey Hess wrote:
> 
> > > So the next step is to test all the packages that could be possibly
> > > affected by this change, right?
> > 
> > I'm not sure it's practical to get an exhaustive list without
> > unpacking every package in the archive looking for Makefile.PL
> > or Build.PL with debian/compat = 9
> 
> FWIW, I count 45 obvious candidates in sid, and all of them are maintained
> by the pkg-perl group.
> 
> $ grep-dctrl -r -FBuild-Depends,Build-Depends-Indep 'debhelper  *(>= *9' /var/lib/apt/lists/ftp.fi.debian.org_debian_dists_unstable_main_source_Sources|grep-dctrl -FPackage perl|grep-dctrl -FArchitecture any -sPackage|wc -l                                                           
> 45

Indeed, thanks!

I ran a test rebuild of the 49 (as of today) packages:

libacme-damn-perl_0.05-1
libastro-fits-cfitsio-perl_1.08-1
libaudio-tagger-perl_0.08-1
libauthen-krb5-simple-perl_0.43-1
libb-hooks-parser-perl_0.10-1
libbit-vector-perl_7.2-1
libcairo-gobject-perl_1.001-1
libcairo-perl_1.090-1
libclass-load-xs-perl_0.04-1
libclone-fast-perl_0.96-1
libcompress-raw-bzip2-perl_2.048-1
libcompress-raw-zlib-perl_2.048-1
libcrypt-cast5-perl_0.05-1
libdatetime-perl_2:0.7200-1
libdbd-pg-perl_2.19.0-1
libdbi-perl_1.618-1
libdevel-declare-perl_0.006011-1
libdigest-sha-perl_5.71-1
libev-perl_4.11-1
libfile-libmagic-perl_0.96-2
libglib-perl_2:1.251-1
libgstreamer-interfaces-perl_0.06-2
libgstreamer-perl_0.17-1
libgtk2-perl_2:1.242-1
libmath-random-mt-perl_1.13-2
libmoose-perl_2.0402-1
libnet-ssleay-perl_1.45-1
libopengl-perl_0.66+dfsg-1
libpadwalker-perl_1.93-1
libparams-validate-perl_1.06-1
libsane-perl_0.04-1
libsdl-perl_2.537~02-2
libsort-key-perl_1.28-1
libsys-cpu-perl_0.52-1
libsys-virt-perl_0.9.9-1
libterm-size-perl_0.207-1
libtext-bibtex-perl_0.62-1
libtext-csv-xs-perl_0.87-1
libtext-ngram-perl_0.14-1
libunicode-string-perl_2.09-5
libvariable-magic-perl_0.48-1
libverilog-perl_3.314-1
libversion-perl_1:0.9600-1
libwant-perl_0.21-1
libwx-perl_1:0.9904-1
libxml-bare-perl_0.47-1
libxml-libxml-perl_1.93+dfsg-1
libxml-libxslt-perl_1.77-1
libyaml-libyaml-perl_0.38-2

using debhelper with the patch I proposed. They all succeeded, with the
exception of libsdl-perl which also fails on current sid for me (problem
with MMX detection test, not yet reported). So I think that this change
is okay to be released in debhelper.

The build logs are at
<http://people.debian.org/~dom/perl/test/dh9-logs/>

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 11 Mar 2012 22:51:11 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 11 Mar 2012 22:51:11 GMT) Full text and rfc822 format available.

Message #50 received at 662666-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 662666-close@bugs.debian.org
Subject: Bug#662666: fixed in debhelper 9.20120311
Date: Sun, 11 Mar 2012 22:48:53 +0000
Source: debhelper
Source-Version: 9.20120311

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_9.20120311.dsc
  to main/d/debhelper/debhelper_9.20120311.dsc
debhelper_9.20120311.tar.gz
  to main/d/debhelper/debhelper_9.20120311.tar.gz
debhelper_9.20120311_all.deb
  to main/d/debhelper/debhelper_9.20120311_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662666@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 11 Mar 2012 18:28:33 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 9.20120311
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 634741 659635 660794 662666
Changes: 
 debhelper (9.20120311) unstable; urgency=low
 .
   * dh_auto_install: Set AM_UPDATE_INFO_DIR=no to avoid automake
     generating an info dir file. Closes: #634741
   * dh_install: Man page clarification. Closes: #659635
   * Avoid expanding shell metacharacters in sed call in autoscript().
     Closes: #660794
   * dh_auto_configure: Pass CPPFLAGS and LDFLAGS to Makefile.PL and Build.PL,
     in compat level v9. Closes: #662666
     Thanks, Dominic Hargreaves for the patch.
     Thanks, Alessandro Ghedini, Niko Tyni, and Dominic Hargreaves for
     testing all relevant packages to verify the safety of this late
     change to v9.
Checksums-Sha1: 
 5fb7e087d7471db303467a4ab70dbbff768f36f8 1577 debhelper_9.20120311.dsc
 66546d20f988f9c7bf50befeddfc57514d3ff5c2 461742 debhelper_9.20120311.tar.gz
 2ec595d0df139a3b24d7a222ae0b640aab4fc799 693580 debhelper_9.20120311_all.deb
Checksums-Sha256: 
 9053823f7b40a230490607cc758c80104ae6aa901a4da01f717b3e6388a06592 1577 debhelper_9.20120311.dsc
 2d0b5bd0d6ad869413c408d03a8cfcb466c15f754c4b954e36f519880a0b335a 461742 debhelper_9.20120311.tar.gz
 b56cbd73febe56d3f92af3fd83284839997d59de9b9e37ca210cfd715932dc51 693580 debhelper_9.20120311_all.deb
Files: 
 8ab475bbf089129a4cd063769cf3666a 1577 devel optional debhelper_9.20120311.dsc
 d2ba0da82d56ea397ee12c2d5737443b 461742 devel optional debhelper_9.20120311.tar.gz
 7070f60a2f3217f3589a7b73e3cf5ba1 693580 devel optional debhelper_9.20120311_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT10n5MkQ2SIlEuPHAQhuwQ/9HW1kko/CHmdVTawacb4C1ztp388NNZUe
hRO1dTPc7L2t1M2dJqTyyCpSJQ5JREm9MTUN6hpp1bF89AjlISjCEngts4JFY5MG
4mhpzvhiD+7DqV3klospeSQhC6WPjCMz0GaURyuIyGTCeJ9ejsRtVD7wT1cGXlQ2
riAmi2CQT3PNKFEJabW+VAbMYoUS7fFetgrFHJBBhTw2UH7Puyy+UrbXHCZW4KhK
5s+sn9j6NFa45ITwM5vR/hpsj1jBOmiRgVk8HK/y5RvUoCx+F6RNp+8i7dELnc/d
DvrvHEr73Chyxl8TmK1nfho7nCPZDcoYb4r+X4wBfJYebpTI3XjAjxGoHcdekA9k
V/mZIgstpXDpKqbfK4MNYs3PDJg10B1NI9GqDl6FfkJzIyUXbpgISxSZ3hkXRxOH
+OpB/k4ghTe3ZQcC5L7M+8G60MHLTpx4vbuWm8F1CaOJva+pZouzB6EZJuR1M1E/
IajKTn3fEJYdWr77NceJT1zyiUAr53rX9CAniFhiZ+c9w0NcJr/n1bbWRglMMrKc
TTd4HTXJkOJGXru0TngRhb7HajgRoQg+PHXYlMlN4FqrOCUMkYqdpAQnIem4ieJe
ZkofR3C7rK+GKqRnCV3rxRKdqYyEV+QDxBHA2m81IQMaI7jWonoNoMBPHdPgRpzI
yHLzdR7w4EI=
=EiQZ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Sun, 11 Mar 2012 23:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 11 Mar 2012 23:39:07 GMT) Full text and rfc822 format available.

Message #55 received at 662666@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 662666@bugs.debian.org
Cc: Dominic Hargreaves <dom@earth.li>
Subject: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Sun, 11 Mar 2012 23:32:10 +0000 (UTC)
Hi,

thanks for digging out a fix for this issue! I’ve applied this
to libbsd-arc4random-perl but found another bug:

CFLAGS must be added to the LD value as well, because they
can (may) be used during linking.

-+               push @flags, "config=ld=$Config{ld} $ENV{LDFLAGS}";
++               push @flags, "config=ld=$Config{ld} $ENV{CFLAGS} $ENV{LDFLAGS}";

-+               push @flags, "LD=$Config{ld} $ENV{LDFLAGS}";
++               push @flags, "LD=$Config{ld} $ENV{CFLAGS} $ENV{LDFLAGS}";

bye,
//mirabilos
-- 
In traditional syntax ' is ignored, but in c99 everything between two ' is
handled as character constant.  Therefore you cannot use ' in a preproces-
sing file in c99 mode.	-- Ragge
No faith left in ISO C99, undefined behaviour, etc.




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Mon, 12 Mar 2012 22:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Mon, 12 Mar 2012 22:57:08 GMT) Full text and rfc822 format available.

Message #60 received at 662666@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 662666@bugs.debian.org, Moritz Muehlenhoff <jmm@debian.org>, contol@bugs.debian.org
Subject: Re: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Mon, 12 Mar 2012 22:52:45 +0000
reopen 662666
thanks

On Sun, Mar 11, 2012 at 11:32:10PM +0000, Thorsten Glaser wrote:
> Hi,
> 
> thanks for digging out a fix for this issue! I’ve applied this
> to libbsd-arc4random-perl but found another bug:
> 
> CFLAGS must be added to the LD value as well, because they
> can (may) be used during linking.
> 
> -+               push @flags, "config=ld=$Config{ld} $ENV{LDFLAGS}";
> ++               push @flags, "config=ld=$Config{ld} $ENV{CFLAGS} $ENV{LDFLAGS}";
> 
> -+               push @flags, "LD=$Config{ld} $ENV{LDFLAGS}";
> ++               push @flags, "LD=$Config{ld} $ENV{CFLAGS} $ENV{LDFLAGS}";

Bother. Thanks for this. Moritz, Joey: I guess we will need another
debhelper upload before kicking off the binNMUs :(

I won't have time to look at this before tomorrow evening, but unless
people would like me to do another rebuild round I don't think I need
to be in the way.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug No longer marked as fixed in versions debhelper/9.20120311 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Mar 2012 22:57:09 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Tue, 13 Mar 2012 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 13 Mar 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #67 received at 662666-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 662666-close@bugs.debian.org
Subject: Bug#662666: fixed in debhelper 9.20120312
Date: Tue, 13 Mar 2012 19:02:11 +0000
Source: debhelper
Source-Version: 9.20120312

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_9.20120312.dsc
  to main/d/debhelper/debhelper_9.20120312.dsc
debhelper_9.20120312.tar.gz
  to main/d/debhelper/debhelper_9.20120312.tar.gz
debhelper_9.20120312_all.deb
  to main/d/debhelper/debhelper_9.20120312_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662666@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 13 Mar 2012 14:27:06 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 9.20120312
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 662666
Changes: 
 debhelper (9.20120312) unstable; urgency=low
 .
   * Also include CFLAGS in ld line for perl. Closes: #662666
Checksums-Sha1: 
 399922c30b38d3534460335e0f6ac402a9dcf215 1577 debhelper_9.20120312.dsc
 f0ea6145dd10fab57841af1bae0d85fe342ca2f7 462033 debhelper_9.20120312.tar.gz
 75c1069c8a62a6299c02efba0ffff8ba1c5bab02 694116 debhelper_9.20120312_all.deb
Checksums-Sha256: 
 43b38d2276ae40499b23a38b9c9e05c909ee44745939964e8fb5146116bf17a1 1577 debhelper_9.20120312.dsc
 64826e98d2d315a5e4ab7e7eaf260db76b3ee00521eacb972c4d1660e807c083 462033 debhelper_9.20120312.tar.gz
 d0225002acdd44098bfc39716fe7e3d7c32b327e8fd81c7335628b593fd8e3b5 694116 debhelper_9.20120312_all.deb
Files: 
 dfd81448460bd737c75763b1fb9e6252 1577 devel optional debhelper_9.20120312.dsc
 e50988f3d13b4d9c50632d042affda59 462033 devel optional debhelper_9.20120312.tar.gz
 5e5c91505954f16557f48b744b08a9a8 694116 devel optional debhelper_9.20120312_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT1+WrskQ2SIlEuPHAQhOKBAArCe5q356FjWYtgyfd6aK9yw0FnN8HQ45
wyELjonqOfoKAUOWuOehBgPtUnVuoabBKf+lrmOgjWS8/jhyWqoqFdS/FoHnExfu
Ky32LD8LmPoPAFWEZAgJOrAgJzSiDUzr7D/wkv3LFf/A1qyKAnsxyRcd/D1mWwlq
b8T9DWdYqq6y3KSS3+MKvu+9aQN8GVG9FbPeNirgg7PZxr1pJw9gJy1qdelug3Zz
yvPFunFeCdWqlY5pNfycIr63FumXUSQiddFG+2IEgSS7Iet0qr37tXcdJPchHgZQ
upVpi7pLp6s03cyEymr+2keUNBhkhPpcWX61ZUZm1hkhKv7EdoCz8K0qb7ebAYUK
RZihAB/KRzy9qUNsnYm8z6MTNmsGSHMIvcb7GHW0mFau3BwImFSlu49/Yf1SIfsb
S+sWvBGSei66TATqWYbEwJyVjepl8cALKpHkRl871EtcrF4l/6nB5v0AGjdkXoqg
DkVF6+ZERG2pZJsneJmVPQxLuMlvRdrxGdssjbaQO3ASvNQt+6H7+cWFO6t42i7+
dQHNEQ7xS7KPjAPXouod4GuBClJV35bb782DWlxx33gbrKJELqU9OwGjkZLJ6he/
r5Cc+IgWoo15yK/g+TypvZ1u0wlIcKP0JBLE4gYF7Uz0HVZy5SkXDt06OXd3GY9m
SDGITRskceI=
=cwHG
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#662666; Package debhelper. (Wed, 14 Mar 2012 23:00:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 14 Mar 2012 23:00:15 GMT) Full text and rfc822 format available.

Message #72 received at 662666@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 662666@bugs.debian.org
Subject: Re: debhelper: pass dpkg-buildflags flags through to ExtUtils::MakeMaker and ExtUtils::CBuilder
Date: Wed, 14 Mar 2012 22:56:59 +0000
On Sun, Mar 11, 2012 at 11:32:10PM +0000, Thorsten Glaser wrote:
> Hi,
> 
> thanks for digging out a fix for this issue! I’ve applied this
> to libbsd-arc4random-perl but found another bug:
> 
> CFLAGS must be added to the LD value as well, because they
> can (may) be used during linking.
> 
> -+               push @flags, "config=ld=$Config{ld} $ENV{LDFLAGS}";
> ++               push @flags, "config=ld=$Config{ld} $ENV{CFLAGS} $ENV{LDFLAGS}";
> 
> -+               push @flags, "LD=$Config{ld} $ENV{LDFLAGS}";
> ++               push @flags, "LD=$Config{ld} $ENV{CFLAGS} $ENV{LDFLAGS}";

Hi,

Joey has fixed this in 9.20120312 (thanks, Joey).

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Apr 2012 07:39:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:45:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.